<?php

declare (strict_types = 1);
use App\Controller\FooterController;
use App\Middleware\Auth\FooMiddleware;
use Hyperf\HttpServer\Router\Router;

Router::addGroup(
    '/footer', function () {
        //测试
        Router::get('/index', [FooterController::class, 'index']);
        //搜索并获取底部导航
        Router::post('/getFooterCategory', [FooterController::class, 'getFooterCategory']);
        //添加底部导航
        Router::post('/addFooterCategory', [FooterController::class, 'addFooterCategory']);
        //修改底部导航
        Router::post('/upFooterCategory', [FooterController::class, 'upFooterCategory']);
        //删除底部导航
        Router::post('/delFooterCategory', [FooterController::class, 'delFooterCategory']);
        
        
        //添加底部导航（列表）内容
        Router::post('/addFooterContent', [FooterController::class, 'addFooterContent']);
        //搜索并获取底部导航（列表）内容
        Router::post('/getFooterContent', [FooterController::class, 'getFooterContent']);
        //修改底部导航（列表）内容
        Router::post('/upFooterContent', [FooterController::class, 'upFooterContent']);
        //删除底部导航（列表）内容
        Router::post('/delFooterContent', [FooterController::class, 'delFooterContent']);
        

    },
    ['middleware' => [FooMiddleware::class]]
);
 